clang 8.0.0

Public Member Functions | List of all members
clang::Stmt::ConstExprIterator Struct Reference

Const iterator for iterating over Stmt * arrays that contain only Expr *. More...

`#include "clang/AST/Stmt.h"`

Inheritance diagram for clang::Stmt::ConstExprIterator:
[legend]
Collaboration diagram for clang::Stmt::ConstExprIterator:
[legend]

## Public Member Functions
| ConstExprIterator ()
| ConstExprIterator (const Stmt *const *I)
reference | operator* () const

## Detailed Description

Const iterator for iterating over Stmt * arrays that contain only Expr *.

Definition at line 997 of file Stmt.h.

## Constructor & Destructor Documentation

## ◆ ConstExprIterator() [1/2]

clang::Stmt::ConstExprIterator::ConstExprIterator | ( |  | ) |
| inline

Definition at line 1001 of file Stmt.h.

## ◆ ConstExprIterator() [2/2]

clang::Stmt::ConstExprIterator::ConstExprIterator | ( | const Stmt *const * | I | ) |
| inline

Definition at line 1002 of file Stmt.h.

## Member Function Documentation

## ◆ operator*()

reference clang::Stmt::ConstExprIterator::operator* | ( |  | ) | const
| inline

Definition at line 1004 of file Stmt.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/Stmt.h